> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return a list of features



## OpenAPI

````yaml /api-reference/4.2/service-features.json get /features
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service features
servers:
  - url: /api/apollo/
security: []
tags:
  - name: features
paths:
  /features:
    get:
      tags:
        - 4.2 Features API
      summary: Return a list of features
      operationId: listFeatures
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FeatureSpec'
components:
  schemas:
    FeatureSpec:
      type: object
      properties:
        name:
          type: string
        defaults:
          type: object
          additionalProperties:
            type: object
        callback:
          $ref: '#/components/schemas/CallParams'
    CallParams:
      type: object
      properties:
        uri:
          type: string
        method:
          type: string
          enum:
            - GET
            - PUT
            - POST
            - DELETE
        queryParams:
          type: object
          additionalProperties:
            type: string
        headers:
          type: object
          additionalProperties:
            type: string
        entity:
          type: object

````